日刊ハイテク情報誌の マガジンOFFです! 毎日IT系のニュースを 配信しています!

RailsでCircleCI使ったらSeleniumWebDriverのエラーが発生

CircleCIでのテストが落ちてしまいました。エラーはこんな感じ

Selenium::WebDriver::Error::SessionNotCreatedError:
        session not created exception: Chrome version must be >= ......

原因は、gemのchromedriver-helperが入ってなかったからでした。gemファイルにこのように追加します。んでその後にbundle updateします。

group :test do
  gem 'chromedriver-helper' unless ENV.key?('CIRCLECI')
end

参考

https://blog.piyo.tech/posts/2018-03-30-chrome-on-circleci/

藤沢瞭介(Ryosuke Hujisawa)
  • りょすけと申します。18歳からプログラミングをはじめ、今はフロントエンドでReactを書いたり、AIの勉強を頑張っています。off.tokyoでは、ハイテクやガジェット、それからプログラミングに関する情報まで、エンジニアに役立つ情報を日々発信しています!

プログラミングホーム

コメントする

メールアドレスが公開されることはありません。